Support for FSX:SE

fsxsteamAbout two months ago a new edition of FSX was released on Steam, which is basically the same as the FSX Gold Edition. My different tools have been updated by now to be able to support this new edition as well.

When you have both FSX and FSX:SE installed the tools will try to detect FSX first and if found they will use that path to load FS specific items from. If you only have FSX:SE installed that version will be used as FSX install by the tools.

The main difference is that FSX:SE does not include the SDK tools, which are used by most of my tools. And this week we finally got an answer from Dovetail Games as well that they will not include these tools either. This means that developers with only FSX:SE will need to get the SDK tools in a different way.

Installing the FSX SDK only works if you have the boxed version of FSX, since only SDK updates can be downloaded. But you need to install the original SDK from the disc first. So that’s not an option in general for FSX:SE only users. Luckily you can download the P3D 1.4 SDK, which contains equivalent tools and can be downloaded for free. So if you want to use my tools to make scenery and only have FSX:SE installed, be sure to grab the P3D 1.4 SDK and install that. The tools will find the location of the SDK automatically based on the registry settings.

4 thoughts on “Support for FSX:SE

  1. Mito says:

    Where can I get Prepar3D v1.4 SDK free download ?.

Leave a Reply to arno Cancel reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.